package com.ruoyi.project.apply.service.impl;

import com.ruoyi.project.apply.domain.TApplyOfflinevalve;
import com.ruoyi.project.apply.mapper.TApplyOfflinevalveMapper;
import com.ruoyi.project.apply.service.ITApplyOfflinevalveService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 安全阀离线切出申请Service业务层处理
 *
 * @author ruoyi
 * @date 2023-02-08
 */
@Service("tApplyOfflinevalveService")
public class TApplyOfflinevalveServiceImpl implements ITApplyOfflinevalveService
{
    @Autowired
    private TApplyOfflinevalveMapper tApplyOfflinevalveMapper;

    /**
     * 查询安全阀离线切出申请
     *
     * @param id 安全阀离线切出申请ID
     * @return 安全阀离线切出申请
     */
    @Override
    public TApplyOfflinevalve selectTApplyOfflinevalveById(Long id)
    {
        return tApplyOfflinevalveMapper.selectTApplyOfflinevalveById(id);
    }

    /**
     * 查询安全阀离线切出申请列表
     *
     * @param tApplyOfflinevalve 安全阀离线切出申请
     * @return 安全阀离线切出申请
     */
    @Override
    public List<TApplyOfflinevalve> selectTApplyOfflinevalveList(TApplyOfflinevalve tApplyOfflinevalve)
    {
        return tApplyOfflinevalveMapper.selectTApplyOfflinevalveList(tApplyOfflinevalve);
    }

    @Override
    public List<TApplyOfflinevalve> selectSAFA(TApplyOfflinevalve tApplyOfflinevalve)
    {
        return tApplyOfflinevalveMapper.selectSAFA(tApplyOfflinevalve);
    }

    /**
     * 新增安全阀离线切出申请
     *
     * @param tApplyOfflinevalve 安全阀离线切出申请
     * @return 结果
     */
    @Override
    public int insertTApplyOfflinevalve(TApplyOfflinevalve tApplyOfflinevalve)
    {
        return tApplyOfflinevalveMapper.insertTApplyOfflinevalve(tApplyOfflinevalve);
    }

    /**
     * 修改安全阀离线切出申请
     *
     * @param tApplyOfflinevalve 安全阀离线切出申请
     * @return 结果
     */
    @Override
    public int updateTApplyOfflinevalve(TApplyOfflinevalve tApplyOfflinevalve)
    {
        return tApplyOfflinevalveMapper.updateTApplyOfflinevalve(tApplyOfflinevalve);
    }

    /**
     * 批量删除安全阀离线切出申请
     *
     * @param ids 需要删除的安全阀离线切出申请ID
     * @return 结果
     */
    @Override
    public int deleteTApplyOfflinevalveByIds(Long[] ids)
    {
        return tApplyOfflinevalveMapper.deleteTApplyOfflinevalveByIds(ids);
    }

    /**
     * 删除安全阀离线切出申请信息
     *
     * @param id 安全阀离线切出申请ID
     * @return 结果
     */
    @Override
    public int deleteTApplyOfflinevalveById(Long id)
    {
        return tApplyOfflinevalveMapper.deleteTApplyOfflinevalveById(id);
    }

    @Override
    public TApplyOfflinevalve selectTApplyOfflinevalveByLock(String lockNo)
    {
        return tApplyOfflinevalveMapper.selectTApplyOfflinevalveByLock(lockNo);
    }
}
